#TrayIcon

C
_IsControl
C
b
T
_IsVirtual
C
b
T
_Group
C
s
"Special"
_Properties
C
s
"Name,Picture{Picture:NoCache},Visible=False,PopupMenu{Menu},Tooltip"
_DefaultEvent
C
s
"Click"
Horizontal
C
i
0
Vertical
C
i
1
:Click
:


:MiddleClick
:


:Scroll
:

(Delta)f(Orientation)i
Name
p
s

Picture
p
Picture

Icon
p
Picture

Visible
p
b

PopupMenu
p
s

Text
p
s

Tooltip
p
s

Tag
p
v

_GnomeDesktop
V
b

_new
m


_GetIconThemePath
m
s

_GetMenu
m
DBusStatusIconMenu

Show
m


Hide
m


Delete
m


_Activate
m


_Scroll
m

(Delta)i(bVertical)b
_GetIconName
m
s

_Clicked
m

(hMenu)Menu;
_AboutToShow
m
b
(hMenu)Menu;
_MiddleClick
m


#TrayIcons

C
_All
V
TrayIcon[]

Count
R
i

_get
M
TrayIcon
(Index)i
_next
M
TrayIcon

DeleteAll
M


#_DBusMenuItem
DBusVariant
C
Signature
C
s
"(ia{sv}av)"
#_DBusMenuLayout
DBusValues
C
Signature
C
s
"u(ia{sv}av)"
#_DBusMenuProperties
DBusVariant
C
Signature
C
s
"a(ia{sv})"
#_DBusStatusIconPixmap
DBusVariant
C
Signature
C
s
"a(iiay)"
_new
m

(hPict)Picture;
#_DBusStatusIconTooltip
DBusVariant
C
Signature
C
s
"(sa(iiay)ss)"
_new
m

(hPict)Picture;(sTitle)s(sTooltip)s
#_DBusUInt
DBusValues
C
Signature
C
s
"u"
_call
M
_DBusUInt
(Value)i
